## org.flexdock.event
Class RegistrationHandler

    java.lang.Object
      org.flexdock.event.EventHandler
          org.flexdock.event.RegistrationHandler

    public class RegistrationHandler

extends EventHandler

Author:
  Christopher Butler

Field Summary

Fields inherited from class org.flexdock.event.EventHandler
`globalListeners`

Constructor Summary
`RegistrationHandler()`

Method Summary
`boolean` `acceptsEvent(Event evt)` Tests a given event to determine if this handler can handle that event.
`boolean` `acceptsListener(java.util.EventListener listener)`
`void` `handleEvent(Event evt, java.util.EventListener listener, int eventType)`

Methods inherited from class org.flexdock.event.EventHandler
`addListener, getListeners, handleEvent, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationHandler

    public RegistrationHandler()

Method Detail

### acceptsEvent

    public boolean acceptsEvent(Event evt)

  Description copied from class: `EventHandler`
  Tests a given event to determine if this handler can handle that event.

  Specified by:
    `acceptsEvent` in class `EventHandler`
  Parameters:
    `evt` - the event to test.
  Returns:
    `true` if this handler handles the event, `false` otherwise.

### acceptsListener

    public boolean acceptsListener(java.util.EventListener listener)

  Specified by:
    `acceptsListener` in class `EventHandler`

### handleEvent

    public void handleEvent(Event evt,
                            java.util.EventListener listener,
                            int eventType)

  Specified by:
    `handleEvent` in class `EventHandler`